#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define LARGE_N 2048*2048

void initialize_target(void);

void saxpy_43_accelerated(int i, float a, float y[LARGE_N], float x[LARGE_N]);

int main(void) {
  int i;
  float x[LARGE_N];
  float y[LARGE_N];
  
  // Initialise OpenCL
  initialize_target();
  
  // Set the input data
  for (i = 0; i < LARGE_N; i++) {
    x[i] = i * 1.4;
    y[i] = i / 0.9;
  }
  float a = 411.3;
  
  // Start the accelerated computation
  saxpy_43_accelerated(i, a, y, x);
  
  // Clean-up
  fflush(stdout);
  return 0;
}
